.text-primary {
    color: #000000 !important;
}

.footer-widget .text-primary {
    color: white !important;
}

.img-fluid-logo{

    width:250px !important;
}

.agent-section {
    background-color: #29292C;
    background-image: url(/img/bg/agent-bg.png);
    background-repeat: no-repeat;
    background-position: right bottom, left bottom;
    position: relative;
    padding: 80px 0;
}
.preview-image {
    max-width: 200px; /* Adjust to your preferred maximum width */
    max-height: 200px; /* Adjust to your preferred maximum height */
    margin: 10px; /* Add margin for spacing between images */
}

.header .navbar-header {

    width:200px !important;
}

.banner-section {
    padding: 100px 0;
   
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    overflow: hidden;
    z-index: 1;
    animation: changeBackground 16s linear infinite;
}



.product-custom .featured-span span {
    font-weight: 500;
    font-size: 14px;
    color: #FFF;
    background-color: #000000 !important;
    padding: 5px 8px;
    display: inline-block;
    border-radius: 8px;
}

.product-custom .profile-widget .doc-img img{

    height:350px !important
}

/* Style for the preview button */
.preview-button {
    display: inline-block;
    padding: 8px 16px;
    background-color: #007bff; /* Change the background color to your preference */
    color: #fff; /* Text color */
    text-decoration: none;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    margin-top: 10px; /* Adjust the margin as needed */
}

    /* Hover effect */
    .preview-button:hover {
        background-color: #0056b3; /* Change the hover background color */
    }

/* Position the button at the top right corner of the image */
.product-img {
    position: relative;
}

.preview-button {
    position: absolute;
    top: 10px; /* Adjust the top position as needed */
    right: 10px; /* Adjust the right position as needed */
}

.collapse-card .card-title #map{

    height: 550px !important;
    min-height:550px !important
}

.slider {
    position: relative;
    width: 100%;
    height: auto;
}

.actual-image {
    display: none; /* Hide the actual image initially */
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
}

.footer-bottom a{

    color:white !important
}

.footer {
    background: #0c0c0c;
    position: relative;
}

.footer-bottom {
    background: #000;
    padding: 15px 0;
}

@media (min-width: 900.98px) {

    .banner-section .banner-content {
        padding-top: 250px !important
    }
}

.banner-section {
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

    .video-background video {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: opacity 0.5s;
    }

.container {
    position: relative;
    z-index: 2;
    /* Add your container styles as needed */
}

.pro-content h3 {
    
    font-size: 15px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.select2-hidden-accessible {
    background-color: #F5F5F8 !important;
    color: black !important;
    border:1px solid black !important
}

div:where(.swal2-container), .swal2-container {
    z-index: 400000 !important;
}

.property-type-sec {
    background-color: #F7F6FF !important;
}

h6 {
    font-weight: 700;
    font-size: 18px;
}

/* Set a fixed height for the slider container */
@media only screen and (min-width: 600px) {

    

    /* Set a max-height for the images within the slider */
    .product-img img {
        max-height: 580px;
        width: 100%;
        /* Remove any extra spacing below the image */
        margin: 0 auto; 
        object-fit:cover;/* Maintain aspect ratio */
    }
    .slider-nav-thumbnails img {
        max-height: 150px;
        width: 100%;
        /* Remove any extra spacing below the image */
        margin: 0 auto;
        object-fit: cover; /* Maintain aspect ratio */
    }
}

@media only screen and (max-width: 600px) {


    /* Set a max-height for the images within the slider */
    .product-img img {
        max-height: 300px;
        width: 100%;
        /* Remove any extra spacing below the image */
        margin: 0 auto;
        object-fit: cover; /* Maintain aspect ratio */
    }
   
}

.Review-form {
    margin: 5px !important
}

.fa-star{

    cursor:pointer;
}

.cities-list-sec {
    padding: 20px 0 !important;
}

.feature-property-sec {
    padding: 20px 0 !important;
}

.header .navbar-header {
    width: 200px !important;
    padding: 0px;
    margin: 0px;
    margin-right: 0px;
    background-color: transparent;
    
    margin-right: 10px;
}

.cities-list-sec .card{

    cursor:pointer !important;
}
.header .header-nav {
    height: 100px !important;
}
.logo-center {
    margin-left: auto !important;
    margin-right: auto !important;
}

.feature-property-sec, .news-letter-sec {
    background-color: #FFF !important;
}

.header .logo {
    display: inline-block;
    margin-right: 0px;
    max-width:270px !important;
    width:270px !important;
}

.header .navbar .main-nav li{

    padding-right:15px !important;
  
}

.header .navbar .main-nav li a{

   
    font-size:16px !important
}

.header .header-top {
    text-align: right;
    background: #000;
    margin: 0;
    padding: 10px;
    color: white !important;
   
}

    .header .header-top .template-ad h5 {
        font-size: 16px;
        font-weight: 500;
        margin-bottom: 0;
        color: white;
        float: right
    }

